_Title_

Welcome to the SmartMorph Help

Copyright (C) 1999-2003
Developer: Michael Vinther | mv@logicnet.dk
Company: MeeSoft | http://meesoft.logicnet.dk

Software Development
Michael Vinther: mv@logicnet.dk
Technical Reports
EEG, PCA, ICA, Artificial Intelligence
Programming Homepage
Delphi and C++ libraries

Installer Wizard/Help File Creation Support:
KShare
My ISP Network
Allan Belcher

Thanks to Markus Oberhumer and Laszlo Molnar for their
brilliant EXE compressor UPX.
Please support SmartMorph You must be ONLINE when clicking links.

For further help and/or support regarding SmartMorph
Please use our new MeeSoft Support Forum


Welcome

Description:

This program, is a image morphing application, basically;

thus, the reasoning behind its name.

The program can morph one picture to another, like the image below:

It can make funny effects with one picture. It allows the user to resize and crop the pictures to achieve the best results when morphing.
The resulting animation can be computed and displayed in real-time or, it can be saved to disk, as an AVI file.


Welcome

Features:

. Morphing one picture to another

. Warping of a picture

. Read/write BMP, WMF, EMF, JPEG, PNG, and PCX images.
If MeeSoft Image Analyzer is installed, JPEG2000, RAS,
PNM, PGM and PPM images are also supported.

. Resize/crop image for optimal morph quality

. Animation output as AVI, BMP, JPG, PNG or PCX.

. Scanner and printer support

. Filters for improving image quality

. Drag and drop support

. Automatic color correction

. Improved image resizing quality

. Morph concatenation module (separate download)

. Optional morph file association in Windows


Main Commands

Menus and Buttons

Click on a menu word or an icon for detailed information


File Menu

New: Begin a new morph project.

Open Animation: Open an existing morph project.

Save Animation: Save the current morph project.

Save As: Save the current morph project under another name.

Open Image: Open images to work with.

Reload Image: Just what it says folks.

Save Image: A good idea, specially if you have cropped and resized or scanned an image.

Save Image As: Save a copy of the image if you wish to retain the original.

Print: Print the currently active photo.

Scan: Get an image from a scanner (if connected).

Select TWAIN source: Just what it says folks.

File format association: Open window to set SmartMorph file association (*.smo)

Exit: Just what it says folks.


Edit Menu

Undo: Undo the last action.

Redo: Redo the last action that was undone.

Copy: Copy the active image to the clipboard.

Paste: Paste an image from the clipboard.

Remove Point: Removes the active point from both images

Remove all points: Just what it says folks!

Add corner points: Puts points in the four corners so that the final picture or animation is rectangular.

Swap images: On the standard setting, a morph runs from image 1 to image 2. Click to swap which image is 1


Image Menu

Resize: Opens image resize window.

Mirror Image: Mirrors the current image.

Rotate: Opens rotate image window.

Accomodate images: Opens resize and crop window.

Colors: Opens the Colors Menu.

Filters: Opens the Filters Menu.


Image/Colors

Image > Colors

Grayscale: Convert image to greyscale.

24 bit color: Convert image to 24 bit.

Invert: Invert the image colors.

Color Mapper: Show the color mapper window.

Auto color correction: Just what it says folks


Image/Filters

Image > Filters

Noise Reduction: Open the noise reduction window.

Smooth: Smooth and soften the selected image.

Sharpen: Sharpen the selected image.

JPEG Filter: Image filter for reducing noise at 8x8 block edges.

De-interlace: De-interlace image from TV tuner.


Animation Menu

Run: Run the current created morph.

Text: Opens morph window with single frame slider. Allows you to view each morph frame separately.

Save as Video: Opens first a "Save As" box and then the video codec selection box to create a video.

Animation Setup: Opens setup window to set the following.


Window Menu

Update Screen: Repaint the screen.

Tile: Arrange windows without overlap. Click twice to tile vertically.

Cascade: Arrange windows overlapping.

Arrange Icons: Arrange the image icons at the bottom of the screen.

Minimize All: Drop all images to icons.

Close: Close the active image file.

Shows the currently open images with the active one ticked.


Help Menu

Help Contents: Opens this Help file.

Feature Description: Quick explanation of all menu items.

Internet Help Page: Opens internet Help page for SmartMorph. (Must be connected to the internet)

Support SmartMorph: Opens internet donation page for SmartMorph. (Must be connected to the internet)

About: Show Credit window.


Tutorial

SmartMorph Tutorial

This page contains a short tutorial. It should help you a great deal !!
For most help, look in the status bar at the bottom of the
program window for hints on what the tools do.

  • The images used in this tutorial can be found in the "Examples" folder, inside the programs root directory, usually:
    "C:\Program Files\MeeSoft\Smart Morph\Examples".

  • Open the images Tut1.jpg and Tut2.jpg:
    File | Open image (F4).

  • The most convincing result is achieved if the faces are about the same size, so the girl image has to be enlarged some. Click Image | Resize
    and scale to 110%.

  • Now the two pictures should be cropped so that corresponding features are positioned in the same place if possible.
    Select Image | Accommodate images (Ctrl-A).
    Use the Move image tool (arrow with cross) in the Accommodate images window to move one of the pictures so that the eyes are in the same place. This image can also be resized here by clicking on the percentage value at the top and changing the value.
    The image which is fixed is the one selected when Accommodate images is opened. Now use the Select crop area tool to draw a rectangle around the part of the picture you want to morph and click OK.
  • Save the cropped images if you wish.
  • Next task is to mark corresponding features.
    First mark the image corners: Edit | Add corner points.
    Then use the Add/move points tool (pointer with cross) to set markers on features in the pictures like e.g. eyes and nose.
    When you click in one image to set a marker point, a point is inserted in the other image in the same place. Use the mouse to move this point to the corresponding feature. When a point is selected in one image, the corresponding point is highlighted in the other image. The more the points, the smoother the transition will be. Marker points can be removed by pressing Delete.

    Mark some features like in the example below:

  • Click the Grid button to show the morphing grid. Be aware that only areas covered by the grid will be included in the final result. If there are gaps in the grid, try moving and/or removing points near the missing area until the gap is closed.

  • To show the result, click Run or Test.
    The best quality is achieved if both High precision render and Antialiasing
    is checked in Animation setup.
  • To save as an animation click Animation|Save as video. Enter a name in the Save As box and click Save
  • The common codecs available on your machine will be shown in the window. Tick the other for specialised codecs on your machine.
The "Frames per second" value will set the speed of the animation.

The more the frames, the faster the animation.

The "Make Loop" checkbox will cause the animation so save as 1 > 2 > 1.

Click OK

Set the desired options for the chosen codec and then click OK to write the animation.


Chain Morph

Chain morph module

  • Morphing more than two pictures: (e.g. Pic1 -> Pic2 -> Pic3 -> Pic4) is now possible by concatenating several morphs using a separate module available for download, on MeeSoft's HomePage, in the SmartMorph section.

  • Create a series of SmartMorph *.smo files, being careful to use images all cropped to the same size.
  • Add the files to the concatenator window and shuffle them if needed to the desired order.
  • Click Render to create the animation.


Looping Animation

Question:

How do I make a looping animation, and add it to a web-site,
like the SmartMorph download page?
Do I need to copy SmartMorph to the site server?
The animation on [ http://meesoft.logicnet.dk ] is just an AVI file,
so you don't need SmartMorph on the server.

The HTML code looks like this:

<img dynsrc="warpdemo.avi" start="fileopen" loop="1000">You can make SmartMorph generate the AVI file by clicking:

Animation | Save as video,

selecting an AVI file name,

and then checking the Make loop box in the AVI setup window.


Welcome

Single Frame Generation:

Question:

Is there a way to capture a picture in the middle of it being morphed, so as to have a combination picture between the two, not an animation?
If you just want to see the picture you can use the Test feature (F8).

To get the picture saved to a file you can select "Animation | Save as video" and then save as BMP, JPG or PNG files. That will produce a number of image files with the frames from the animation. Then you can take the one you want.


Welcome

Version History:

Note: version history is incomplete. It does not include all changes,
in all versions. Only the most important.

Changes in version 1.12 (1999-12-09):
Scanner and printer support added

Changes in version 1.14 (2000-01-03):
Fixed bug in 24-bit PCX reader
Improved resize in Accommodate images dialog

Changes in version 1.15 (2000-01-17):
Fixed bug in resize dialog
Preview of PCX files added

Changes in version 1.16 (2000-01-28):
Fixed bug in scan function

Changes in version 1.17 (2000-02-13):
Fixed image display
Rotate dialog added

Changes in version 1.18 (2000-08-07):
Fixed bug making it possible to open more than two images
Image filters added

Changes in version 1.19 (2000-09-26):
Sharpen filter added
Image manipulation can be undone
Bugfixes

Changes in version 1.20 (2001-02-24):
PNG support
Improved print dialog
Right mouse button can now move picture when setting points

Changes in version 1.22 (2001-09-01):
Improved color mapper and filters
Improved morph quality and speed
Bugfix in PNG writer

Changes in version 1.24 (2003-01-01):
More bugfixes
User interface updated

Changes in version 1.25 (2003-03-14):
Color mapper can now work on luminance plane

Changes in version 1.26 (2003-03-30):
Open image and Color mapper dialogs improved
Help feature with tutorial

Changes in version 1.27 (2003-04-17):
Feature list in help menu
More user interface updates
Added a installer version with examples
Included a tutor within the program's installer

Changes in version 1.50 (2003-05-11):
Markers changed for easier identification of corresponding points
Open/save dialogs updated
More file formats in "Save video as..."
PNG compression improved
Writing of large JPEG files [1 MB fixed]
New program icon
Included a small help file/tutor into app menu and start menu program folder

Changes in version 1.51 (2003-08-17):
Drag and drop support
Automatic color correction
Improved image resizing quality
Morph concatenation module (separate download)
Optional morph file association in Windows

Changes in version 1.52
Improved help file